[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.WMShowWindow

Handles the LM_SHOWWINDOW window message for the form.

## Declaration

Source position: forms.pp line 612

`protected procedure TCustomForm.WMShowWindow(`
`var message: TLMShowWindow`
`); message;`

## Arguments

`message` |  | Message examined in the method.

## Description

No actions are performed in the method when the form has already been made visible (FormState contains the value fsShowing).

Updates FormState to include the value fsShowing. Calls DoShowWindow to focus a control on the form (when needed). Removes fsShowing from FormState prior to exiting from the method.

Re-implements the method from the ancestor class; does not call the inherited method.